package com.bonus.material.clz.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.clz.domain.BmProDepart;

import java.util.List;

/**
 * 项目部管理服务接口
 * @Author ma_sh
 * @create 2025/5/12 10:12
 */
public interface BmProDepartService {

    /**
     * 查询项目部列表信息
     * @param tbProDepart
     * @return
     */
    List<BmProDepart> queryByPage(BmProDepart tbProDepart);

    /**
     * 新增项目部
     * @param tbProDepart
     * @return
     */
    AjaxResult insert(BmProDepart tbProDepart);

    /**
     * 编辑项目部
     * @param tbProDepart
     * @return
     */
    AjaxResult update(BmProDepart tbProDepart);

    /**
     * 删除项目部
     * @param tbProDepart
     * @return
     */
    AjaxResult deleteById(BmProDepart tbProDepart);
}
